#
# Copyright 2011 Eigenlabs Ltd.  http://www.eigenlabs.com
#
# This file is part of EigenD.
#
# EigenD is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# EigenD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with EigenD.  If not, see <http://www.gnu.org/licenses/>.
#

import piw
from pi import agent, domain, bundles,atom
from plg_midiilluminator import pico_midi_light_controller as version

import midiilluminator_plg

class PicoAgent(midiilluminator_plg.IlluminatorAgent):
    def __init__(self, address, ordinal):
        super(PicoAgent, self).__init__(address,ordinal,18,'pico midi light controller')
    def _default_note(self, key):
        s = 42
        map = [s,    s+1,  s+2,  s+3,  s+8,  s+9,  s+10, s+11, 0,
               s+4,  s+5,  s+6,  s+7,  s+12, s+13, s+14, s+15, 0]
        return map[key - 1]
            
agent.main(PicoAgent)
