#
# Copyright 2011 Eigenlabs Ltd.  http://www.eigenlabs.com
#
# This file is part of EigenD.
#
# EigenD is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# EigenD is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with EigenD.  If not, see <http://www.gnu.org/licenses/>.
#

import piw
from pi import agent, domain, bundles,atom
from plg_midiilluminator import tau_midi_light_controller_version as version

import midiilluminator_plg

class TauAgent(midiilluminator_plg.IlluminatorAgent):
    def __init__(self, address, ordinal):
        super(TauAgent, self).__init__(address,ordinal,72,'tau midi light controller')
    def _default_note(self, key):
        s = 36
        map = [s,    s+1,  s+2,  s+3,  s+4,  s+5,  s+6,  s+7,  s+8,  s+9,  s+10, s+11, s+12, s+13, s+14, s+15,
               s+4,  s+5,  s+6,  s+7,  s+8,  s+9,  s+10, s+11, s+12, s+13, s+14, s+15, s+16, s+17, s+18, s+19,
               s+8,  s+9,  s+10, s+11, s+12, s+13, s+14, s+15, s+16, s+17, s+18, s+19, s+20, s+21, s+22, s+23, s+24, s+25, 0, 0,
               s+12, s+13, s+14, s+15, s+16, s+17, s+18, s+19, s+20, s+21, s+22, s+23, s+24, s+25, s+26, s+27, s+28, s+29, 0, 0]
        return map[key - 1]
        
agent.main(TauAgent)

